/**
* 文件：WarehouseQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.warehouse.model;
import java.util.List;

/**
 * <p>Title: 仓库表</p>
 * <p>Description: WarehouseQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class WarehouseQuery extends WarehouseEntity{
	private static final long serialVersionUID = 1614577623336L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 仓库名称 */
	private List<String> nameList;

	/** 仓库编码 */
	private List<String> codeList;

	/** 仓库地址 */
	private List<String> addressList;

	/** 仓库联系人，姓名 */
	private List<String> contactsUserList;

	/** 仓库联系电话 */
	private List<String> contactsPhoneList;

	/** 开始 启用停用，0停用 1启用，默认1 */
	private Integer statusStart;

	/** 结束 启用停用，0停用 1启用，默认1 */
	private Integer statusEnd;

	/** 增加 启用停用，0停用 1启用，默认1 */
	private Integer statusIncrement;

	/** 启用停用，0停用 1启用，默认1 */
	private List<Integer> statusList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 变更时间 */
	private String updateTimeStart;

	/** 结束 变更时间 */
	private String updateTimeEnd;

	/** 变更用户loginName */
	private List<String> updateUserList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 创建用户loginName */
	private List<String> createUserList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<WarehouseQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<WarehouseQuery> andConditionList;


	public WarehouseQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 仓库名称
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 仓库名称
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 仓库编码
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 仓库编码
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 仓库地址
	 * @return addressList
	 */
	public List<String> getAddressList(){
		return this.addressList;
	}

	/**
	 * 设置 仓库地址
	 * @param addressList
	 */
	public void setAddressList(List<String> addressList){
		this.addressList = addressList;
	}

	/**
	 * 获取 仓库联系人，姓名
	 * @return contactsUserList
	 */
	public List<String> getContactsUserList(){
		return this.contactsUserList;
	}

	/**
	 * 设置 仓库联系人，姓名
	 * @param contactsUserList
	 */
	public void setContactsUserList(List<String> contactsUserList){
		this.contactsUserList = contactsUserList;
	}

	/**
	 * 获取 仓库联系电话
	 * @return contactsPhoneList
	 */
	public List<String> getContactsPhoneList(){
		return this.contactsPhoneList;
	}

	/**
	 * 设置 仓库联系电话
	 * @param contactsPhoneList
	 */
	public void setContactsPhoneList(List<String> contactsPhoneList){
		this.contactsPhoneList = contactsPhoneList;
	}

	/**
	 * 获取 开始 启用停用，0停用 1启用，默认1
	 * @return statusStart
	 */
	public Integer getStatusStart(){
		return this.statusStart;
	}

	/**
	 * 设置 开始 启用停用，0停用 1启用，默认1
	 * @param statusStart
	 */
	public void setStatusStart(Integer statusStart){
		this.statusStart = statusStart;
	}

	/**
	 * 获取 结束 启用停用，0停用 1启用，默认1
	 * @return statusEnd
	 */
	public Integer getStatusEnd(){
		return this.statusEnd;
	}

	/**
	 * 设置 结束 启用停用，0停用 1启用，默认1
	 * @param statusEnd
	 */
	public void setStatusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
	}

	/**
	 * 获取 增加 启用停用，0停用 1启用，默认1
	 * @return statusIncrement
	 */
	public Integer getStatusIncrement(){
		return this.statusIncrement;
	}

	/**
	 * 设置 增加 启用停用，0停用 1启用，默认1
	 * @param statusIncrement
	 */
	public void setStatusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
	}

	/**
	 * 获取 启用停用，0停用 1启用，默认1
	 * @return statusList
	 */
	public List<Integer> getStatusList(){
		return this.statusList;
	}

	/**
	 * 设置 启用停用，0停用 1启用，默认1
	 * @param statusList
	 */
	public void setStatusList(List<Integer> statusList){
		this.statusList = statusList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 变更时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 变更时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 变更时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 变更时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUserList
	 */
	public List<String> getUpdateUserList(){
		return this.updateUserList;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUserList
	 */
	public void setUpdateUserList(List<String> updateUserList){
		this.updateUserList = updateUserList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUserList
	 */
	public List<String> getCreateUserList(){
		return this.createUserList;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUserList
	 */
	public void setCreateUserList(List<String> createUserList){
		this.createUserList = createUserList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<WarehouseQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<WarehouseQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<WarehouseQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<WarehouseQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}